import request from '@/utils/request'

// 查询售后记录列表
export function listStoreAfterSales(query) {
  return request({
    url: '/store/storeAfterSales/list',
    method: 'get',
    params: query
  })
}

// 查询售后记录详细
export function getStoreAfterSales(id) {
  return request({
    url: '/store/storeAfterSales/' + id,
    method: 'get'
  })
}

// 新增售后记录
export function addStoreAfterSales(data) {
  return request({
    url: '/store/storeAfterSales',
    method: 'post',
    data: data
  })
}

// 修改售后记录
export function updateStoreAfterSales(data) {
  return request({
    url: '/store/storeAfterSales',
    method: 'put',
    data: data
  })
}

// 删除售后记录
export function delStoreAfterSales(id) {
  return request({
    url: '/store/storeAfterSales/' + id,
    method: 'delete'
  })
}

// 导出售后记录
export function exportStoreAfterSales(query) {
  return request({
    url: '/store/storeAfterSales/export',
    method: 'get',
    params: query
  })
}



export function cancel(data) {
  return request({
    url: '/store/storeAfterSales/cancel',
    method: 'post',
    data: data
  })
}

export function refund(data) {
  return request({
    url: '/store/storeAfterSales/refund',
    method: 'post',
    data: data
  })
}

export function audit1(data) {
  return request({
    url: '/store/storeAfterSales/audit1',
    method: 'post',
    data: data
  })
}
export function audit2(data) {
  return request({
    url: '/store/storeAfterSales/audit2',
    method: 'post',
    data: data
  })
}

